export interface IModalWizardPageState {
    done: boolean;
    blocked: boolean;
    rendered: boolean;
    current: boolean;
    dirty: boolean;
    markCleanOnView: boolean;
    markCompleteOnView: boolean;
    required: boolean;
}
export interface IModalWizardPage {
    state: IModalWizardPageState;
    key: string;
    label: string;
}
export declare class ModalWizard {
    static renderedPages: IModalWizardPage[];
    static pageRegistry: IModalWizardPage[];
    static currentPage: IModalWizardPage;
    static heading: string;
    static setHeading(heading: string): void;
    static getPage(key: string): IModalWizardPage;
    static markDirty(key: string): void;
    static markClean(key: string): void;
    static markComplete(key: string): void;
    static markIncomplete(key: string): void;
    static setCurrentPage(page: IModalWizardPage, skipScroll?: boolean): void;
    static registerPage(key: string, label: string, state?: IModalWizardPageState): void;
    static renderPages(): void;
    static isComplete(): boolean;
    static allPagesVisited(): boolean;
    static setRendered(key: string, rendered: boolean): void;
    static includePage(key: string): void;
    static excludePage(key: string): void;
    static resetWizard(): void;
}
